org.modeshape.common.text

## Class NoOpEncoder

- java.lang.Object
- - org.modeshape.common.text.NoOpEncoder

- All Implemented Interfaces:
    TextDecoder, TextEncoder

      @Immutable
      public class NoOpEncoder
      extends Object
      implements TextEncoder, TextDecoder

  An encoder implementation that does nothing. This is useful when a `encoder` is optional but the code is easier to write when there is always an encoder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOpEncoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `decode(String encodedText)` Return the decoded version of an encoded string
    `String` | `encode(String text)` Returns the encoded version of a string.
    `static NoOpEncoder` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoOpEncoder

          public NoOpEncoder()

  - ### Method Detail

    - #### getInstance

          public static final NoOpEncoder getInstance()

    - #### encode

          public String encode(String text)

      Returns the encoded version of a string.
      Specified by:
        `encode` in interface `TextEncoder`
      Parameters:
        `text` - the text with characters that are to be encoded.
      Returns:
        the text with the characters encoded as required, or null if the supplied text is null
      See Also:
        `TextDecoder.decode(String)`

    - #### decode

          public String decode(String encodedText)

      Return the decoded version of an encoded string
      Specified by:
        `decode` in interface `TextDecoder`
      Parameters:
        `encodedText` - the encoded text
      Returns:
        the unecoded form of the text, or null if the supplied node name is also null
      See Also:
        `TextEncoder.encode(String)`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.